summaryrefslogtreecommitdiffstats
path: root/system/dump
diff options
context:
space:
mode:
author Chris Abela <chris.abela@maltats.com>2010-05-11 22:55:15 +0200
committer Robby Workman <rworkman@slackbuilds.org>2010-05-11 22:55:15 +0200
commit5f9dbb56f96ff5c13620ce0f2637c00615c535f4 (patch)
tree53757dc9f3f532a4d1cbd9d9ffff3aeaad863bd1 /system/dump
parent64ce3057546d43f6e3bbd1bef1fe2ca7dc5cb87f (diff)
downloadslackbuilds-5f9dbb56f96ff5c13620ce0f2637c00615c535f4.tar.gz
slackbuilds-5f9dbb56f96ff5c13620ce0f2637c00615c535f4.tar.xz
system/dump: Added to 12.1 repository
Diffstat (limited to 'system/dump')
-rw-r--r--system/dump/README28
-rw-r--r--system/dump/dump.SlackBuild78
-rw-r--r--system/dump/dump.info8
-rw-r--r--system/dump/slack-desc19
4 files changed, 133 insertions, 0 deletions
diff --git a/system/dump/README b/system/dump/README
new file mode 100644
index 0000000000..8e540576c3
--- /dev/null
+++ b/system/dump/README
@@ -0,0 +1,28 @@
+DUMP (dump and restore backup commands)
+
+Dump examines files in a filesystem, determines which ones need to be
+backed up, and copies those files to a specified disk, tape or other
+storage medium. Subsequent incremental backups can then be layered on top
+of the full backup.
+
+You might want to read this post by Linus:
+ http://lwn.net/2001/0503/a/lt-dump.php3
+and the counter-argument on
+ http://dump.sourceforge.net/isdumpdeprecated.html
+
+
+SLACKWARE ISSUES WITH DUMP/RESTORE/RMT
+
+Dump package conflicts with these two files from the tar package:
+ the rmt man page: /usr/man/man8/rmt.8.gz
+ and the restore application: /usr/sbin/restore
+Installing the dump package will overwrite these files.
+
+Should you remove the dump package, you may note that the two files
+referred to above will not be removed because they are "shared" with
+the tar package. You will need to reinstall the stock tar package.
+
+With regards to rmt, the tar package installs it to /sbin/rmt while the
+dump package installs it in /usr/sbin/rmt - these two are not identical.
+You can be sure to call the relevant rmt application by qualifying the
+full path to the desired rmt executable.
diff --git a/system/dump/dump.SlackBuild b/system/dump/dump.SlackBuild
new file mode 100644
index 0000000000..79c0fa21dd
--- /dev/null
+++ b/system/dump/dump.SlackBuild
@@ -0,0 +1,78 @@
+#!/bin/sh
+
+# Slackware build script for dump
+
+# Written by Chris Abela <chris.abela@maltats.com>
+# November 2008
+
+PRGNAM=dump
+VERSION=${VERSION:-0.4b41}
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKFLAGS="-O2 -fPIC"
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+tar xvf $CWD/$PRGNAM-$VERSION.tar.gz
+cd $PRGNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+CFLAGS="$SLKCFLAGS" \
+./configure \
+ --prefix=/usr \
+ --sysconfdir=/etc \
+ --localstatedir=/var \
+ --mandir=/usr/man \
+ --with-binowner=root \
+ --with-bingrp=root \
+ --with-manowner=root \
+ --with-mangrp=root
+
+make
+make prefix=$PKG/usr install
+
+( cd $PKG
+ find . | xargs file | grep "executable" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2>/dev/null || true
+ find . | xargs file | grep "shared object" | grep ELF | cut -f 1 -d : \
+ | xargs strip --strip-unneeded 2>/dev/null
+)
+
+( cd $PKG/usr/man
+ find . -type f -exec gzip -9 {} \;
+ for i in $(find . -type l) ; do ln -s $(readlink $i).gz $i.gz ; rm $i ; done
+)
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES COPYRIGHT INSTALL KNOWNBUGS MAINTAINERS README REPORTING-BUGS \
+ THANKS TODO examples $PKG/usr/doc/$PRGNAM-$VERSION
+find $PKG/usr/doc/$PRGNAM-$VERSION -type f -exec chmod 644 {} \;
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.Slackbuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/system/dump/dump.info b/system/dump/dump.info
new file mode 100644
index 0000000000..36d8590c2e
--- /dev/null
+++ b/system/dump/dump.info
@@ -0,0 +1,8 @@
+PRGNAM="dump"
+VERSION="0.4b41"
+HOMEPAGE="http://dump.sourceforge.net/"
+DOWNLOAD="http://downloads.sourceforge.net/dump/dump-0.4b41.tar.gz"
+MD5SUM="f89bb42d860c58b86b05d0734c9f3649"
+MAINTAINER="Chris Abela"
+EMAIL="chris.abela@maltats.com"
+APPROVED="rworkman"
diff --git a/system/dump/slack-desc b/system/dump/slack-desc
new file mode 100644
index 0000000000..769484d12f
--- /dev/null
+++ b/system/dump/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+dump: dump (dump and restore backup commands)
+dump:
+dump: Dump examines files in a filesystem, determines which ones need to be
+dump: backed up, and copies those files to a specified disk, tape or other
+dump: storage medium. Subsequent incremental backups can then be layered on
+dump: top of the full backup.
+dump:
+dump:
+dump:
+dump:
+dump: